cc.Class({
    extends: cc.Component,

    properties: {
        zhua1:cc.Node,
        zhua2:cc.Node,

    },

 
    onLoad: function () {
        
    },

    test:function(){
        /*      var action1 = cc.fadeIn(0.5);
                var action2 = cc.fadeOut(0.5);
                var action3 = cc.moveBy(0.05, cc.p(this.animationKUANG.x - 1, this.animationKUANG.y - 1));
                var action4 = cc.moveBy(0.05, cc.p(this.animationKUANG.x - 1, this.animationKUANG.y + 1));
                var action5 = cc.moveBy(0.05, cc.p(this.animationKUANG.x + 1, this.animationKUANG.y + 1));
                var action6 = cc.moveBy(0.05, cc.p(this.animationKUANG.x + 1, this.animationKUANG.y - 1));
                var action7 = cc.sequence(action1,action2);
                var rep = cc.repeat(cc.sequence(action3,action4,action5,action6),5);
                this.animationQUAN.runAction(action7);
                this.animationKUANG.runAction(rep);*/

                /*sequence.push(cc.callFunc(() => {
                    this.changeDir(i);
                }));*/
    

        cc.log(this.zhua1.x,this.zhua1.y - 120);
        var action1 = cc.moveBy(0.5, cc.p(this.zhua1.x,this.zhua1.y - 120));
        var action2 = cc.moveBy(0.5, cc.p(this.zhua2.x,this.zhua2.y - 120));
        this.zhua1.runAction(action1);
        this.schedule(this.haha,0.2);
      
    },

    haha:function(){
        cc.log(this.zhua1.x,this.zhua1.y - 120);
    },

  
});
